float f;                                // глобальная переменная
 
void setup()                            // функция начальных установок
{ 
  size(500, 500);                       // размер окна для рисования  
  background(0,0,0);                    // закраска фона черным цветом
  smooth();                             // рисуем все сглаженным
  noStroke();                           // без абриса 
  frameRate(25);                        // частота рисования - раз(кадров) в секунду 
}

void draw()                             // функция рисования, вызывается n - раз(кадров) в секунду
{   
    //fill(0,0,0,5); rect (0,0,399,399);  // плавно "гасим" картинку, последняя цифра - прозрачность 
    float x, y, ff = 2.00;
    int c = 0;
    for (int i = 0; i < 300; i = i + 1) // цикл, начинаем с 0, и до 299 (i < 300)
    { x = 250 + 0.001 * i * ff * sin(f + (float)i / 10); // спираль - x - координата
      y = 250 + 0.001 * i * ff * cos(f + (float)i / 10); // спираль - y - координата
      fill(255 - ff * 0.125 - c, 125 - ff * 0.125 - c, 0); // цвет отрисовки  
      c = abs(c - 15);                                     // организуем полосатость закраски
      ellipse (x, y, 0.0008 * i * ff, 0.0008 * i * ff);    // рисуем круг - оба радиуса равны
      ff = ff * 1.0235;                 // чтобы разворачиволось по спирали, а не по кругу 
    };
    f = f - 0.0475;                     // чтоб спираль крутилась
}                                       // это все
